Resources (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.validator
Class Resources

    java.lang.Object
      org.apache.struts.validator.Resources

    public class Resources

extends Object

This class helps provides some useful methods for retrieving objects from different scopes of the application.

Since:
  Struts 1.1
Version:
  $Rev: 476419 $ $Date: 2005-09-16 23:34:41 -0400 (Fri, 16 Sep 2005) $

Constructor Summary
`Resources()`

Method Summary
`static ActionMessage` | `getActionMessage(HttpServletRequest request, ValidatorAction va, Field field)` Deprecated. Use getActionMessage(Validator, HttpServletRequest, ValidatorAction, Field) method instead
`static ActionMessage` | `getActionMessage(Validator validator, HttpServletRequest request, ValidatorAction va, Field field)` Gets the `ActionMessage` based on the `ValidatorAction` message and the `Field`'s arg objects.
`static String[]` | `getArgs(String actionName, MessageResources messages, Locale locale, Field field)` Gets the message arguments based on the current `ValidatorAction` and `Field`.
`static String` | `getMessage(HttpServletRequest request, String key)` Gets the `Locale` sensitive value based on the key passed in.
`static String` | `getMessage(MessageResources messages, Locale locale, String key)` Gets the `Locale` sensitive value based on the key passed in.
`static String` | `getMessage(MessageResources messages, Locale locale, ValidatorAction va, Field field)` Gets the locale sensitive message based on the `ValidatorAction` message and the `Field`'s arg objects.
`static String` | `getMessage(ServletContext application, HttpServletRequest request, MessageResources defaultMessages, Locale locale, ValidatorAction va, Field field)` Gets the `Locale` sensitive value based on the key passed in.
`static MessageResources` | `getMessageResources(HttpServletRequest request)` Retrieve `MessageResources` for the module.
`static MessageResources` | `getMessageResources(ServletContext application, HttpServletRequest request, String bundle)` Retrieve `MessageResources` for the module and bundle.
`static ValidatorResources` | `getValidatorResources(ServletContext application, HttpServletRequest request)` Retrieve `ValidatorResources` for the current module.
`static String` | `getVarValue(String varName, Field field, Validator validator, HttpServletRequest request, boolean required)` Get the value of a variable.
`static String` | `getVarValue(Var var, ServletContext application, HttpServletRequest request, boolean required)` Get the value of a variable.
`static Validator` | `initValidator(String key, Object bean, ServletContext application, HttpServletRequest request, ActionMessages errors, int page)` Initialize the `Validator` to perform validation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Resources

    public Resources()

Method Detail

### getValidatorResources

    public static ValidatorResources getValidatorResources(ServletContext application,
                                                           HttpServletRequest request)

  Retrieve `ValidatorResources` for the current module.

  Parameters:
    `application` - Application Context
    `request` - The ServletRequest

### getMessageResources

    public static MessageResources getMessageResources(HttpServletRequest request)

  Retrieve `MessageResources` for the module.

  Parameters:
    `request` - the servlet request

### getMessageResources

    public static MessageResources getMessageResources(ServletContext application,
                                                       HttpServletRequest request,
                                                       String bundle)

  Retrieve `MessageResources` for the module and bundle.

  Parameters:
    `application` - the servlet context
    `request` - the servlet request
    `bundle` - the bundle key

### getVarValue

    public static String getVarValue(String varName,
                                     Field field,
                                     Validator validator,
                                     HttpServletRequest request,
                                     boolean required)

  Get the value of a variable.

  Parameters:
    `varName` - The variable name
    `field` - the validator Field
    `validator` - The Validator
    `request` - the servlet request
    `required` - Whether the variable is mandatory
  Returns:
    The variable's value

### getVarValue

    public static String getVarValue(Var var,
                                     ServletContext application,
                                     HttpServletRequest request,
                                     boolean required)

  Get the value of a variable.

  Parameters:
    `var` - the validator variable
    `application` - The ServletContext
    `request` - the servlet request
    `required` - Whether the variable is mandatory
  Returns:
    The variables values

### getMessage

    public static String getMessage(MessageResources messages,
                                    Locale locale,
                                    String key)

  Gets the `Locale` sensitive value based on the key passed in.

  Parameters:
    `messages` - The Message resources
    `locale` - The locale.
    `key` - Key used to lookup the message

### getMessage

    public static String getMessage(HttpServletRequest request,
                                    String key)

  Gets the `Locale` sensitive value based on the key passed in.

  Parameters:
    `request` - servlet request
    `key` - the request key

### getMessage

    public static String getMessage(MessageResources messages,
                                    Locale locale,
                                    ValidatorAction va,
                                    Field field)

  Gets the locale sensitive message based on the `ValidatorAction` message and the `Field`'s arg objects.

  Parameters:
    `messages` - The Message resources
    `locale` - The locale
    `va` - The Validator Action
    `field` - The Validator Field

### getMessage

    public static String getMessage(ServletContext application,
                                    HttpServletRequest request,
                                    MessageResources defaultMessages,
                                    Locale locale,
                                    ValidatorAction va,
                                    Field field)

  Gets the `Locale` sensitive value based on the key passed in.

  Parameters:
    `application` - the servlet context
    `request` - the servlet request
    `defaultMessages` - The default Message resources
    `locale` - The locale
    `va` - The Validator Action
    `field` - The Validator Field

### getActionMessage

    public static ActionMessage getActionMessage(HttpServletRequest request,
                                                 ValidatorAction va,
                                                 Field field)

  Deprecated. Use getActionMessage(Validator, HttpServletRequest, ValidatorAction, Field) method instead

  Gets the `ActionMessage` based on the `ValidatorAction` message and the `Field`'s arg objects.

  Note: this method does not respect bundle information stored with the field's <msg> or <arg> elements, and localization will not work for alternative resource bundles. This method is deprecated for this reason, and you should use `getActionMessage(Validator,HttpServletRequest,ValidatorAction,Field)` instead.

  Parameters:
    `request` - the servlet request
    `va` - Validator action
    `field` - the validator Field

### getActionMessage

    public static ActionMessage getActionMessage(Validator validator,
                                                 HttpServletRequest request,
                                                 ValidatorAction va,
                                                 Field field)

  Gets the `ActionMessage` based on the `ValidatorAction` message and the `Field`'s arg objects.

  Parameters:
    `validator` - the Validator
    `request` - the servlet request
    `va` - Validator action
    `field` - the validator Field

### getArgs

    public static String[] getArgs(String actionName,
                                   MessageResources messages,
                                   Locale locale,
                                   Field field)

  Gets the message arguments based on the current `ValidatorAction` and `Field`.

  Parameters:
    `actionName` - action name
    `messages` - message resources
    `locale` - the locale
    `field` - the validator field

### initValidator

    public static Validator initValidator(String key,
                                          Object bean,
                                          ServletContext application,
                                          HttpServletRequest request,
                                          ActionMessages errors,
                                          int page)

  Initialize the `Validator` to perform validation.

  Parameters:
    `key` - The key that the validation rules are under (the form elements name attribute).
    `bean` - The bean validation is being performed on.
    `application` - servlet context
    `request` - The current request object.
    `errors` - The object any errors will be stored in.
    `page` - This in conjunction with the page property of a `Field`can control the processing of fields. If the field's page is less than or equal to this page value, it will be processed.``

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.